"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CodeBuffer_1 = __importDefault(require("./CodeBuffer"));
const common_1 = require("../common");
function compile(options) {
    let errors = [];
    let code = '';
    const { source, rootVar, format = 'json', filePath } = options;
    const res = common_1.compileTarget(source, CodeBuffer_1.default, {
        rootVar,
        filePath,
        format
    });
    code = res.code;
    res.errors && errors.push(...res.errors);
    return {
        code,
        errors
    };
}
exports.compile = compile;
//# sourceMappingURL=index.js.map